<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Sln.IntelliBelt.Business\Sln.IntelliBelt.Business.csproj" />
      <ProjectReference Include="..\Sln.IntelliBelt.Common\Sln.IntelliBelt.Common.csproj" />
      <ProjectReference Include="..\Sln.IntelliBelt.Config\Sln.IntelliBelt.Config.csproj" />
      <ProjectReference Include="..\Sln.IntelliBelt.Model\Sln.IntelliBelt.Model.csproj" />
      <ProjectReference Include="..\Sln.IntelliBelt.Serilog\Sln.IntelliBelt.Serilog.csproj" />
      <ProjectReference Include="..\Sln.IntelliBelt.Socket\Sln.IntelliBelt.Socket.csproj" />
      <ProjectReference Include="..\Sln.IntelliBelt.WebSocket\Sln.IntelliBelt.WebSocket.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.Extensions.Hosting" Version="10.0.7" />
      <PackageReference Include="Scrutor" Version="7.0.0" />
    </ItemGroup>

    <ItemGroup>
      <None Update="appsettings.json">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </None>
    </ItemGroup>

</Project>
